

  <div class="flex flex-column ">
    <canvas #canvas class="tw-h-full"></canvas>
    <div>
        <button pButton pRipple type="button" icon="pi pi-pencil" class="p-button-rounded p-button-outlined m-1" (click)="switchTool('pencil')"></button>
        <button pButton pRipple type="button" icon="pi pi-eraser" class="p-button-rounded p-button-warning p-button-outlined m-1" (click)="switchTool('eraser')"></button>

      <!-- <button (click)="switchTool('pen')">Pen</button> -->
      <!-- <button (click)="switchTool('pencil')">Pencil</button> -->
      <!-- <button (click)="switchTool('eraser')">Eraser</button> -->

      <input type="range" min="1" max="20" step="1"  [(ngModel)]="lineWidth">

  
      <button pButton pRipple type="button" icon="pi pi-times" class="p-button-rounded p-button-danger p-button-outlined m-1" (click)="clearCanvas()"></button>
      <button pButton pRipple type="button" icon="pi pi-save" class="p-button-rounded p-button-success p-button-outlined m-1" (click)="saveImage()"></button>
      <!-- <button (click)="clearCanvas()">Clear</button>
      <button (click)="saveImage()">Save</button> -->
    </div>
  </div>
  <div>
    <button pButton pRipple type="button" icon="pi pi-pencil" class="p-button-rounded p-button-outlined" (click)="switchTool('pencil')"></button>
    <button pButton pRipple type="button" icon="pi pi-eraser" class="p-button-rounded p-button-warning p-button-outlined" (click)="switchTool('eraser')"></button>
    <button pButton pRipple type="button" icon="pi pi-undo" class="p-button-rounded p-button-warning p-button-outlined" (click)="undo()"></button>
  



  <!-- <button (click)="switchTool('pen')">Pen</button> -->
  <!-- <button (click)="switchTool('pencil')">Pencil</button> -->
  <!-- <button (click)="switchTool('eraser')">Eraser</button> -->

  <input type="range" min="1" max="20" step="1"  [(ngModel)]="lineWidth">


  <button pButton pRipple type="button" icon="pi pi-times" class="p-button-rounded p-button-danger p-button-outlined" (click)="clearCanvas()"></button>
  <button pButton pRipple type="button" icon="pi pi-save" class="p-button-rounded p-button-success p-button-outlined" (click)="saveImage()"></button>
  <!-- <button (click)="clearCanvas()">Clear</button>
  <button (click)="saveImage()">Save</button> -->
</div>
  